// =============================================================================
// Generic.
// =============================================================================



// =============================================================================
// Typography
// =============================================================================

// Px to rem conversion.
@function pxrem($pixels) {
  @return #{$pixels/16}rem;
}

// Font smoothing.
@mixin fontSmoothing {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
@mixin fontSmoothingAuto {
  -webkit-font-smoothing: auto;
  -moz-osx-font-smoothing: initial;
}

// =============================================================================
// Helpers.
// =============================================================================

// Hide from both screenreaders and browsers.
@mixin hidden {
  display: none !important;
  visibility: hidden;
}

// Hide only visually, but have it available for screenreaders.
@mixin visuallyhidden {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}

// Clearfix.
@mixin clearfix {
  *zoom: 1;
  &::after,
  &::before {
    content: '';
    display: table;
  }
  &::after {
    clear: both;
  }
}
